# Trait std::os::windows::io::IntoRawSocket 1.4.0[−][src]

    pub trait IntoRawSocket {
        fn into_raw_socket(self) -> RawSocket;
    }

This is supported on Windows only.

A trait to express the ability to consume an object and acquire ownership of its raw `SOCKET`.

## Required methods

### `fn into_raw_socket(self) -> RawSocket`[src]

Consumes this object, returning the raw underlying socket.

This function transfers ownership of the underlying socket to the caller. Callers are then the unique owners of the socket and must close it once it's no longer needed.

Loading content...

## Implementors

### `impl IntoRawSocket for TcpListener`[src]

#### `fn into_raw_socket(self) -> RawSocket`[src]

### `impl IntoRawSocket for TcpStream`[src]

#### `fn into_raw_socket(self) -> RawSocket`[src]

### `impl IntoRawSocket for UdpSocket`[src]

#### `fn into_raw_socket(self) -> RawSocket`[src]

Loading content...